Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.anim.values
Class AnimatablePathDataValue

    java.lang.Object
      org.apache.batik.anim.values.AnimatableValue
          org.apache.batik.anim.values.AnimatablePathDataValue

    public class AnimatablePathDataValue

extends AnimatableValue

An SVG path value in the animation system.

Field Summary
`protected short[]` | `commands` The path commands.
`protected float[]` | `parameters` The path parameters.
`protected static char[]` | `PATH_COMMANDS` The path data commands.
`protected static int[]` | `PATH_PARAMS` The number of parameters for each path command.

Fields inherited from class org.apache.batik.anim.values.AnimatableValue
`decimalFormat, hasChanged, target`

Constructor Summary
`protected` | `AnimatablePathDataValue(AnimationTarget target)` Creates a new, uninitialized AnimatablePathDataValue.
`` | `AnimatablePathDataValue(AnimationTarget target, short[] commands, float[] parameters)` Creates a new AnimatablePathDataValue.

Method Summary
`boolean` | `canPace()` Returns whether two values of this type can have their distance computed, as needed by paced animation.
`float` | `distanceTo(AnimatableValue other)` Returns the absolute distance between this value and the specified other value.
`short[]` | `getCommands()` Returns the array of path data commands.
`float[]` | `getParameters()` Returns the array of path data parameters.
`AnimatableValue` | `getZeroValue()` Returns a zero value of this AnimatableValue's type.
`AnimatableValue` | `interpolate(AnimatableValue result, AnimatableValue to, float interpolation, AnimatableValue accumulation, int multiplier)` Performs interpolation to the given value.
`String` | `toStringRep()` Returns a string representation of this object.

Methods inherited from class org.apache.batik.anim.values.AnimatableValue
`formatNumber, getCssText, hasChanged, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### commands

    protected short[] commands

  The path commands. These must be one of the PATHSEG_* constants defined in `SVGPathSeg`.

### parameters

    protected float[] parameters

  The path parameters. Also includes the booleans.

### PATH_COMMANDS

    protected static final char[] PATH_COMMANDS

  The path data commands.

### PATH_PARAMS

    protected static final int[] PATH_PARAMS

  The number of parameters for each path command.

Constructor Detail

### AnimatablePathDataValue

    protected AnimatablePathDataValue(AnimationTarget target)

  Creates a new, uninitialized AnimatablePathDataValue.

### AnimatablePathDataValue

    public AnimatablePathDataValue(AnimationTarget target,
                                   short[] commands,
                                   float[] parameters)

  Creates a new AnimatablePathDataValue.

Method Detail

### interpolate

    public AnimatableValue interpolate(AnimatableValue result,
                                       AnimatableValue to,
                                       float interpolation,
                                       AnimatableValue accumulation,
                                       int multiplier)

  Performs interpolation to the given value.

  Specified by:
    `interpolate` in class `AnimatableValue`
  Parameters:
    `result` - the object in which to store the result of the interpolation, or null if a new object should be created
    `to` - the value this value should be interpolated towards, or null if no actual interpolation should be performed
    `interpolation` - the interpolation distance, 0 <= interpolation <= 1
    `accumulation` - an accumulation to add to the interpolated value
    `multiplier` - an amount the accumulation values should be multiplied by before being added to the interpolated value

### getCommands

    public short[] getCommands()

  Returns the array of path data commands.

### getParameters

    public float[] getParameters()

  Returns the array of path data parameters.

### canPace

    public boolean canPace()

  Returns whether two values of this type can have their distance computed, as needed by paced animation.

  Specified by:
    `canPace` in class `AnimatableValue`

### distanceTo

    public float distanceTo(AnimatableValue other)

  Returns the absolute distance between this value and the specified other value.

  Specified by:
    `distanceTo` in class `AnimatableValue`

### getZeroValue

    public AnimatableValue getZeroValue()

  Returns a zero value of this AnimatableValue's type.

  Specified by:
    `getZeroValue` in class `AnimatableValue`

### toStringRep

    public String toStringRep()

  Returns a string representation of this object.

  Overrides:
    `toStringRep` in class `AnimatableValue`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.